{"openapi":"3.0.4","info":{"title":"Execute an integration instance.","description":"Starts execution of an instance, returning its execution identifier.\nThe user must be authenticated, entitled to call this method, and the user's domain must be licensed for the integration.","version":"0.0.1"},"servers":[{"url":"https://fbn-prd.lusid.com/horizon"}],"paths":{"/api/integrations/instances/{instanceId}/execute":{"post":{"tags":["Integrations"],"summary":"Execute an integration instance.","description":"Starts execution of an instance, returning its execution identifier.\nThe user must be authenticated, entitled to call this method, and the user's domain must be licensed for the integration.","operationId":"ExecuteInstance","parameters":[{"name":"instanceId","in":"path","description":"Instance identifier e.g. \"b64135e7-98a0-41af-a845-d86167d54cc7\".","required":true,"schema":{"maxLength":36,"minLength":36,"pattern":"^[a-zA-Z0-9\\-]+$","type":"string"}}],"responses":{"200":{"description":"The execution id","content":{"application/json":{"schema":{"$ref":"/docs/api/horizon/schemas.json#/components/schemas/ExecuteInstanceResponse"},"example":{"executionId":"5f498454-e27e-4403-b892-29ae767879d1"}}}},"400":{"description":"The details of the input related failure","content":{"application/json":{"schema":{"$ref":"/docs/api/horizon/schemas.json#/components/schemas/LusidValidationProblemDetails"}}}},"404":{"description":"The integration instance does not exist","content":{}},"default":{"description":"Error response","content":{"application/json":{"schema":{"$ref":"/docs/api/horizon/schemas.json#/components/schemas/LusidProblemDetails"}}}}},"security":[{"BearerAuth":[]}],"x-fbn-apistatus":"Experimental"}}},"components":{"securitySchemes":{"BearerAuth":{"type":"http","scheme":"bearer"}}}}